/* Deprecated Interrupt Redirection support
   Copyright (c) 2010 Networked Systems Group, University of Kaiserslautern

This file is part of the Imote2 Image Loader.

The Imote2 Image Loader is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

The Imote2 Image Loader is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with the Imote2 Image Loader. If not, see <http://www.gnu.org/licenses/>.
*/
#include "exceptions.h"

/** \brief IRQ Table, located at the beginning of SRAM
 * this table provides the entry points of the Interrupt Handler and the
 * fast Interrupt Handler */
static struct {
	void (*irq)();
	void (*fiq)();
} vectable __attribute__((section(".vectable"),used)) = {
	.irq = &hplarmv_irq,
	.fiq = &hplarmv_fiq
};

